API referenceDiscord
DELETE /discord/channels/{channelId}/messages/{messageId}
Delete a message in the channel (any author: needs Manage Messages). Cannot be undone
DELETE
BearerAuthheader
AuthorizationBearer <token>API key sk_...
channelId*stringDiscord channel id (snowflake)
messageId*stringDiscord message id
accountId*stringDiscord account id bound to this server (or the channel's server)
Done
application/json- response
success?booleancurl -X DELETE 'https://example.com/api/v1/discord/channels/string/messages/string?accountId=string'Example Response
{ "success": true}POST /discord/channels/{channelId}/threads POST
Create a public thread from messageId, or a standalone one (needs Create Public Threads)
POST /discord/channels/{channelId}/messages/{messageId}/crosspost POST
Publish an announcement-channel message to every following server (400 before Discord is called when the channel is not an announcement channel)